org.wildfly.swarm.config.undertow

## Class ServletContainer.ServletContainerResources

- java.lang.Object
- - org.wildfly.swarm.config.undertow.ServletContainer.ServletContainerResources

- Enclosing class:
    ServletContainer<T extends ServletContainer<T>>

      public static class ServletContainer.ServletContainerResources
      extends Object

  Child mutators for ServletContainer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContainerResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrawlerSessionManagementSetting` | `crawlerSessionManagementSetting()` Configures special session handing for crawler bots
    `JSPSetting` | `jspSetting()` JSP container configuration.
    `MimeMapping` | `mimeMapping(String key)`
    `List<MimeMapping>` | `mimeMappings()` Get the list of MimeMapping resources
    `PersistentSessionsSetting` | `persistentSessionsSetting()` Session persistence sessions
    `SessionCookieSetting` | `sessionCookieSetting()` Session cookie configuration
    `WebsocketsSetting` | `websocketsSetting()` If websockets are enabled for this container
    `WelcomeFile` | `welcomeFile(String key)`
    `List<WelcomeFile>` | `welcomeFiles()` Get the list of WelcomeFile resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletContainerResources

          public ServletContainerResources()

  - ### Method Detail

    - #### mimeMappings

          public List<MimeMapping> mimeMappings()

      Get the list of MimeMapping resources
      Returns:
        the list of resources

    - #### mimeMapping

          public MimeMapping mimeMapping(String key)

    - #### welcomeFiles

          public List<WelcomeFile> welcomeFiles()

      Get the list of WelcomeFile resources
      Returns:
        the list of resources

    - #### welcomeFile

          public WelcomeFile welcomeFile(String key)

    - #### persistentSessionsSetting

          public PersistentSessionsSetting persistentSessionsSetting()

      Session persistence sessions

    - #### crawlerSessionManagementSetting

          public CrawlerSessionManagementSetting crawlerSessionManagementSetting()

      Configures special session handing for crawler bots

    - #### jspSetting

          public JSPSetting jspSetting()

      JSP container configuration.

    - #### websocketsSetting

          public WebsocketsSetting websocketsSetting()

      If websockets are enabled for this container

    - #### sessionCookieSetting

          public SessionCookieSetting sessionCookieSetting()

      Session cookie configuration

Copyright © 2017 JBoss by Red Hat. All rights reserved.